import http from '@/utils/http'

// 获取oss签名
export function ossPolicy() {
    return http.get('/common/oss/policy')
}

// 无需登录获取学生详细档案
export function getStudentDetail(params) {
    return http.get('/schs/stdStudent/get', params)
}

// 休复学申请详情
export function getStudentLeaveApplication(params) {
    return http.get('/schs/stdLeaveApplication/getByStudent', params)
}

// 休复学申请
export function applyForResumption(params) {
    return http.post('/schs/stdLeaveApplication/create', params)
}

// 撤回申请休复学
export function withdrawApplication(params) {
    return http.post('/stdLeaveApplication/revoke', params)
}

// 诊疗记录附件列表
export function getDiagnosisAttachments(params) {
    return http.get('/schs/stdLeaveAttachments/query', params)
}

// 休复学审批记录列表
export function getLeaveApplicationApproval(params) {
    return http.get('/schs/stdLeaveProcessLog/query', params)
}

// 休复学诊断存根详情
export function getLeaveApplicationDiagnosis(params) {
    return http.get('/schs/stdLeaveCertificate/get', params)
}